Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Servent

    java.lang.Object
      estella.lib.Servent

    public class Servent

extends java.lang.Object

Estrutura para armazenar servents em lista

Since:
  06/12/2005

Field Summary
`Conexao` | `conexao`
`java.lang.String` | `host`
`int` | `numArqComp`
`int` | `porta`
`int` | `tamArqComp`
`java.lang.String` | `ultVerificacao`

Constructor Summary
`Servent()`
`Servent(Conexao conexao, int numArqComp, int tamArqComp, java.lang.String ultVerificacao)`
`Servent(java.lang.String host, int porta, int numArqComp, int tamArqComp, java.lang.String ultVerificacao)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ultVerificacao

    public java.lang.String ultVerificacao

### numArqComp

    public int numArqComp

### tamArqComp

    public int tamArqComp

### conexao

    public Conexao conexao

### host

    public java.lang.String host

### porta

    public int porta

Constructor Detail

### Servent

    public Servent()

### Servent

    public Servent(Conexao conexao,
                   int numArqComp,
                   int tamArqComp,
                   java.lang.String ultVerificacao)

### Servent

    public Servent(java.lang.String host,
                   int porta,
                   int numArqComp,
                   int tamArqComp,
                   java.lang.String ultVerificacao)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD